Create Token

Create Token
Creates a new token of the specified type

Creates a new token. Proxy tokens are tied to the current user and can be used to access the set of proxies available to the user.

Request
URI
POST
https://{api_host}/cloudapi/1.0.0/tokens
COPY
Request Body
TokenParameters of type(s) application/json
Optional
{
    "name": "string",
    "type": "string",
    "extensionId": "string"
}
string
name
Optional

Name of the token to create

string
type
Optional

The type of token to be created. Valid types are ["PROXY", "EXTENSION"]

string
extensionId
Optional

The urn id of the extension to get a token for

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Token of type(s) application/json;version=9.1.0
{
    "id": "string",
    "name": "string",
    "token": "string",
    "expirationTimeUtc": "string",
    "requireRotation": false,
    "tokenRotation": "string",
    "owner": {
        "name": "string",
        "id": "string"
    },
    "org": {
        "name": "string",
        "id": "string"
    },
    "type": "string"
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/cloudapi/1.0.0/tokens